Subject: Re: bug#28588: Issue with GNU Shepherd make check

From: [email-masked]
Date: Wed, 27 Sep 2017 00:28:29 +0000

Hi Ricardo,

I figured out why I was getting those errors - I hadn't given ownership of the source folder to the unprivileged user I was using to run the tests. I gave that user ownership and re-ran the tests and they all ran ok (sorry, my bad).

Although, tests/respawn.sh failed (the only one that did). I don't know how critical that one is, but I will attach the test-suite.log file, in case that is of any interest.

Thanks!

Lee

P.S. I may have sent this e-mail more than once, as I've had some issues with my e-mail - if so, I apologize.

September 26, 2017 7:52 AM, "Ricardo Wurmus" <[email-masked]> wrote:

> [email-masked] writes:
> 
>> If I try 'make check' without root privileges, some other errors get
>> thrown up.
> 
> What errors are those?
> 
> --
> Ricardo
> 
> GPG: BCA6 89B6 3655 3801 C3C6 2150 197A 5888 235F ACAC
> https://elephly.net